Free Support Forum - aspose.com

Security related questions of Aspose products

Hi Tahir,
Is this fix for XXE also updated for ASPOSE.PDF? We have ASPOSE.PDF version 11.4.0.0 where we use this to convert file uploads to PDF files but it seems the XXE issue is there. Is there a HOTFIX available for this version?

What about in others
Aspose.Pdf.Devices
Aspose.Cells
Aspose.Slides
Aspose.Imaging
Aspose.Email

Thanks
Vishal Singh

@vsinghATaspose

You are using quite older version of Aspose.PDF. This version has a lot of discontinued classes and namespaces which are out of support. So, please use the latest version of Aspose.PDF.

We have removed such security vulnerabilities in latest versions of Aspose.PDF.

These products do not parse XML External Entity and there are no security issues in the latest APIs.